protozero 1.7.1 Minimalistic protocol buffer decoder and encoder in C++.

Loading...
Searching...
No Matches
Protected Attributes | List of all members
protozero::const_varint_iterator< T > Class Template Reference

`#include <iterators.hpp>`

Inheritance diagram for protozero::const_varint_iterator< T >:
[legend]

## Protected Attributes
const char * | m_data = nullptr
| Pointer to current iterator position.
const char * | m_end = nullptr
| Pointer to end iterator position.

## Detailed Description

template<typename T>
class protozero::const_varint_iterator< T >

A forward iterator used for accessing packed repeated varint fields (int32, uint32, int64, uint64, bool, enum).

The documentation for this class was generated from the following file:

- include/protozero/iterators.hpp